com.streambase.sb

## Class ClusterNotificationTupleFields

- java.lang.Object
- - com.streambase.sb.ControlStreamTupleFields
  - - com.streambase.sb.ClusterNotificationTupleFields

-     public class ClusterNotificationTupleFields
      extends ControlStreamTupleFields

  A class that captures the fields of tuples on the control stream relating to HA cluster notifications.

- - ### Field Summary

    - ### Fields inherited from class com.streambase.sb.ControlStreamTupleFields

      `id, params, subsystem`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterNotificationTupleFields(Tuple tuple)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Tuple` | `newTuple(int clusterEventType, String param0, String param1, String param2)` Return a new ClusterNotification tuple.

    - ### Methods inherited from class com.streambase.sb.ControlStreamTupleFields

      `getId, getParams, getSubsystem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterNotificationTupleFields

          public ClusterNotificationTupleFields(Tuple tuple)
                                         throws StreamBaseException

      Throws:
        `StreamBaseException`

  - ### Method Detail

    - #### newTuple

          public static Tuple newTuple(int clusterEventType,
                                       String param0,
                                       String param1,
                                       String param2)
                                throws TupleException

      Return a new ClusterNotification tuple.
      Parameters:
        `clusterEventType` - Constants.CLUSTER_EVENT_TYPE_QUORUM, CLUSTER_EVENT_TYPE_NODE, or CLUSTER_EVENT_TYPE_PARTITION
      Returns:
        a new cluster notification tuple
      Throws:
        `TupleException` - on error

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.